org.apache.pdfbox.preflight.action

## Class InvalidAction

- java.lang.Object
- - org.apache.pdfbox.preflight.action.AbstractActionManager
  - - org.apache.pdfbox.preflight.action.InvalidAction

    public class InvalidAction
    extends AbstractActionManager

ActionManager for InvalidAction. An invalid action is an action which isn't authorized in a PDF/A file but should be valid in a standard PDF file.

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.action.AbstractActionManager

`actionDictionary, context`

### Constructor Summary

Constructors
Constructor and Description
`InvalidAction(ActionManagerFactory amFact, org.apache.pdfbox.cos.COSDictionary adict, PreflightContext ctx, String aaKey, String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `innerValid()` This method must be implemented by inherited classes to process specific validation.

### Methods inherited from class org.apache.pdfbox.preflight.action.AbstractActionManager

`getActionDictionary, getAdditionalActionKey, isAdditionalAction, valid, valid, validNextActions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidAction

    public InvalidAction(ActionManagerFactory amFact,
                         org.apache.pdfbox.cos.COSDictionary adict,
                         PreflightContext ctx,
                         String aaKey,
                         String name)

Parameters:
  `amFact` - Instance of ActionManagerFactory used to create ActionManager to check Next actions.
  `adict` - the COSDictionary of the action wrapped by this class.
  `ctx` - the DocumentHandler from which the action comes from.
  `aaKey` - The name of the key which identify the action in a additional action dictionary.
  `name` - the action type

### Method Detail

#### innerValid

    protected boolean innerValid()

Description copied from class: `AbstractActionManager`
This method must be implemented by inherited classes to process specific validation.

Specified by:
  `innerValid` in class `AbstractActionManager`
Returns:
  True if the action is valid, false otherwise.